org.apache.poi.xddf.usermodel.text

## Class XDDFParagraphProperties

- java.lang.Object
- - org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties

-     @Beta
      public class XDDFParagraphProperties
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFParagraphProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDDFRunProperties` | `addDefaultRunProperties()`
    `XDDFTabStop` | `addTabStop()`
    `int` | `countTabStops()`
    `XDDFParagraphBulletProperties` | `getBulletProperties()`
    `XDDFRunProperties` | `getDefaultRunProperties()`
    `XDDFExtensionList` | `getExtensionList()`
    `int` | `getLevel()`
    `XDDFTabStop` | `getTabStop(int index)`
    `java.util.List<XDDFTabStop>` | `getTabStops()`
    `protected org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties` | `getXmlObject()`
    `XDDFTabStop` | `insertTabStop(int index)`
    `void` | `removeTabStop(int index)`
    `void` | `setDefaultRunProperties(XDDFRunProperties properties)`
    `void` | `setDefaultTabSize(java.lang.Double points)`
    `void` | `setEastAsianLineBreak(java.lang.Boolean value)`
    `void` | `setExtensionList(XDDFExtensionList list)`
    `void` | `setFontAlignment(FontAlignment align)`
    `void` | `setHangingPunctuation(java.lang.Boolean value)`
    `void` | `setIndentation(java.lang.Double points)`
    `void` | `setLatinLineBreak(java.lang.Boolean value)`
    `void` | `setLevel(java.lang.Integer level)`
    `void` | `setLineSpacing(XDDFSpacing spacing)`
    `void` | `setMarginLeft(java.lang.Double points)`
    `void` | `setMarginRight(java.lang.Double points)`
    `void` | `setRightToLeft(java.lang.Boolean value)`
    `void` | `setSpaceAfter(XDDFSpacing spacing)`
    `void` | `setSpaceBefore(XDDFSpacing spacing)`
    `void` | `setTextAlignment(TextAlignment align)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFParagraphProperties

          @Internal
          protected XDDFParagraphProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties properties)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties getXmlObject()

    - #### getBulletProperties

          public XDDFParagraphBulletProperties getBulletProperties()

    - #### getLevel

          public int getLevel()

    - #### setLevel

          public void setLevel(java.lang.Integer level)

    - #### addDefaultRunProperties

          public XDDFRunProperties addDefaultRunProperties()

      Since:
        4.0.1

    - #### getDefaultRunProperties

          public XDDFRunProperties getDefaultRunProperties()

    - #### setDefaultRunProperties

          public void setDefaultRunProperties(XDDFRunProperties properties)

    - #### setEastAsianLineBreak

          public void setEastAsianLineBreak(java.lang.Boolean value)

    - #### setLatinLineBreak

          public void setLatinLineBreak(java.lang.Boolean value)

    - #### setHangingPunctuation

          public void setHangingPunctuation(java.lang.Boolean value)

    - #### setRightToLeft

          public void setRightToLeft(java.lang.Boolean value)

    - #### setFontAlignment

          public void setFontAlignment(FontAlignment align)

    - #### setTextAlignment

          public void setTextAlignment(TextAlignment align)

    - #### setDefaultTabSize

          public void setDefaultTabSize(java.lang.Double points)

    - #### setIndentation

          public void setIndentation(java.lang.Double points)

    - #### setMarginLeft

          public void setMarginLeft(java.lang.Double points)

    - #### setMarginRight

          public void setMarginRight(java.lang.Double points)

    - #### setLineSpacing

          public void setLineSpacing(XDDFSpacing spacing)

    - #### setSpaceAfter

          public void setSpaceAfter(XDDFSpacing spacing)

    - #### setSpaceBefore

          public void setSpaceBefore(XDDFSpacing spacing)

    - #### addTabStop

          public XDDFTabStop addTabStop()

    - #### insertTabStop

          public XDDFTabStop insertTabStop(int index)

    - #### removeTabStop

          public void removeTabStop(int index)

    - #### getTabStop

          public XDDFTabStop getTabStop(int index)

    - #### getTabStops

          public java.util.List<XDDFTabStop> getTabStops()

    - #### countTabStops

          public int countTabStops()

    - #### getExtensionList

          public XDDFExtensionList getExtensionList()

    - #### setExtensionList

          public void setExtensionList(XDDFExtensionList list)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.